Bug 1257987 - mingw-virt-viewer should prefer usbdk if both usbdk and usbclerk/winusb are available
mingw-virt-viewer should prefer usbdk if both usbdk and usbclerk/winusb are a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-3.6.1
: 3.6.1
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
spice
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 10:37 EDT by David Jaša
Modified: 2016-02-10 14:20 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 07:09:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2015-08-28 10:37:17 EDT
Description of problem:
mingw-virt-viewer should prefer usbdk if both usbdk and usbclerk/winusb are available. Now it seems to prefer winusb because webcam doesn't work by default

Version-Release number of selected component (if applicable):
Windows 7 32b client

How reproducible:
always

Steps to Reproduce:
1. make sure that usbdk is installed and usbclerk service is installed & running
2. redirect a webcam
3. stop usbclerk service
4. redirect webcam again

Actual results:
2. webcam redirection fails
4. webcam redirection succeeds

Expected results:
webcam redirection succeeds at first try

Additional info:
This can drive support requests after customers install usbdk to existing VMs and webcams still won't work...
Comment 1 Uri Lublin 2015-09-02 04:53:03 EDT
What is the version of rhevm-spice-client (or mingw-spice-gtk/mingw-virt-viewer)
that was tested ?
Comment 2 Sandro Bonazzola 2015-10-26 08:30:24 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 3 Fabiano Fidêncio 2015-11-03 08:51:13 EST
David, can you please answer Uri's question on Comment 1?
Comment 4 David Jaša 2015-11-03 10:49:31 EST
(In reply to Fabiano Fidêncio from comment #3)
> David, can you please answer Uri's question on Comment 1?

IIRC it was 2.0-3 or maybe 2.0-2. (I don't have it installed in the test clients anymore).
Comment 5 Fabiano Fidêncio 2015-11-03 11:15:05 EST
(In reply to David Jaša from comment #4)
> (In reply to Fabiano Fidêncio from comment #3)
> > David, can you please answer Uri's question on Comment 1?
> 
> IIRC it was 2.0-3 or maybe 2.0-2. (I don't have it installed in the test
> clients anymore).

Well, can you veriy if it still happens with the latest client?
Comment 6 David Jaša 2015-11-04 11:54:35 EST
(In reply to Fabiano Fidêncio from comment #5)
> (In reply to David Jaša from comment #4)
> > (In reply to Fabiano Fidêncio from comment #3)
> > > David, can you please answer Uri's question on Comment 1?
> > 
> > IIRC it was 2.0-3 or maybe 2.0-2. (I don't have it installed in the test
> > clients anymore).
> 
> Well, can you veriy if it still happens with the latest client?

Latest client + usbdk + usbclerk behave OK, usbdk is used. There is just one kindo of misleading message which appears periodically when there are devices available for redirection:
(remote-viewer.exe:328): GSpice-DEBUG: ../../gtk/win-usb-dev.c:359 number of current devices 1, I know about 1 devices
Comment 7 Fabiano Fidêncio 2015-11-11 06:10:24 EST
Dmitry, can you check this one?
I do believe that, regardless of the message, this bug should be closed. The messages doesn't hurt and can be treated in another bug.
Comment 8 Fabiano Fidêncio 2015-11-11 06:11:01 EST
Do you agree about closing this one, David?

Note You need to log in before you can comment on or make changes to this bug.